package com.zhiwei.manage.service;

import java.util.List;

import com.zhiwei.manage.bean.Message;
import com.zhiwei.manage.bean.PageEty;

public interface MessageService {

	public void insert(Message message);

	public String update(Message message,String pt);

	public PageEty findAll(int pageNo,int pageSize,String pt);

	public PageEty findByTmpName(String templateName,int pageNo,int pageSize,String pt);

	public boolean delete(List<String> MessageId,String pt);
	
	public PageEty findByHandle(int pageNo,int pageSize,boolean handle,String tempName,String pt);
	
	public Message findMsg(String tempName,String errorType);
}
